petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsGetStringArray

Gets an array of string values for a particular option in the database. The values must be separated with commas with no intervening spaces.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsGetStringArray(PetscOptions options,const char pre[],const char name[],char *strings[],PetscInt *nmax,PetscBool  *set)

Not Collective Many br

### Input Parameters

| options | - options database use NULL for default global database Many br
| pre | - string to prepend to name or NULL Many br
| name | - the option one is seeking Many br
| nmax | - maximum number of strings Many br

### Output Parameter

| strings | - location to copy strings Many br
| set | - PETSC_TRUE if found, else PETSC_FALSE Many br

Many br

### Notes

The user should pass in an array of pointers to char, to hold all the Many brstrings returned by this function. Many br

The user is responsible for deallocating the strings that are Many brreturned. The Fortran interface for this routine is not supported. Many br

Contributed by Matthew Knepley. Many br

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList() Many br

Level:beginner
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages